<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('penawaran', function (Blueprint $table) {
            $table->string('nama_kjpp_sebelumnya')->nullable()->change();
            $table->string('biaya_kjpp_sebelumnya')->nullable()->change();
            $table->datetime('tanggal_penilaian_sebelumnya')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('penawaran', function (Blueprint $table) {
            $table->string('nama_kjpp_sebelumnya')->change();
            $table->string('biaya_kjpp_sebelumnya')->change();
            $table->datetime('tanggal_penilaian_sebelumnya')->change();
        });
    }
};
